Bug 81947 - Web Inspector: breakpoints should be disabled while live editing JavaScript.
Summary: Web Inspector: breakpoints should be disabled while live editing JavaScript.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 12:13 PDT by Pavel Feldman
Modified: 2012-03-26 01:56 PDT (History)
12 users (show)

See Also:


Attachments
Patch (13.97 KB, patch)
2012-03-23 05:22 PDT, Pavel Feldman
no flags Details | Formatted Diff | Diff
[Patch] with fixed tests (17.48 KB, patch)
2012-03-24 02:51 PDT, Pavel Feldman
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2012-03-22 12:13:28 PDT
We should not stop on breakpoints while script is being edited and is not committed.
Comment 1 Pavel Feldman 2012-03-23 05:22:23 PDT
Created attachment 133464 [details]
Patch
Comment 2 WebKit Review Bot 2012-03-23 06:18:58 PDT
Comment on attachment 133464 [details]
Patch

Attachment 133464 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12123558

New failing tests:
inspector/editor/highlighter-basics.html
Comment 3 Vsevolod Vlasov 2012-03-23 10:40:20 PDT
Comment on attachment 133464 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=133464&action=review

> Source/WebCore/ChangeLog:11
> +        undo/redo wrapper and better detection of the noop opterations.

opterations?

> Source/WebCore/inspector/front-end/JavaScriptSourceFrame.js:355
> +        if (this._isDirty)

Shouldn't we also mute context menu?
Comment 4 Pavel Feldman 2012-03-24 02:51:20 PDT
Created attachment 133627 [details]
[Patch] with fixed tests
Comment 5 Yury Semikhatsky 2012-03-25 23:58:59 PDT
Comment on attachment 133627 [details]
[Patch] with fixed tests

View in context: https://bugs.webkit.org/attachment.cgi?id=133627&action=review

> Source/WebCore/inspector/front-end/TextViewer.js:1823
> +        else 

trailing space
Comment 6 Pavel Feldman 2012-03-26 01:56:47 PDT
Committed r112064: <http://trac.webkit.org/changeset/112064>